CURLOPT_PRIVATE(3)

NAME
CURLOPT_PRIVATE - store a private pointer

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PRIVATE, void *pointer);

DESCRIPTION
Pass a void * as parameter, pointing to data that should be associated with this curl handle. The pointer can subsequently be retrieved using curl_easy_getinfo(3) with the CURLINFO_PRIVATE option. libcurl itself never does nothing with this data.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.10.3

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_VERBOSE(3), CURLOPT_STDERR(3),